@echo off
@rem setup32.cmd: install Windows XP

setlocal enableextensions

  rem Verify that the computer meets the requirements.
  rem This code is disabled in this sample.

  rem call scripts\verify.cmd /F:2000 /M:250 /P:700
  rem if errorlevel 1 goto help

  rem Prompt the technician for the computer's name and lookup data
  rem in the database. Use Siftemp.wsf to create an answer file for it.
  rem
  rem NOTE: You must change the path of /o:%OEMDirPath%\winnt.txt
  rem       in the command below to a location where the user has rights
  rem       to create and write files. You must also change the path used
  rem       in each configuration's winnt32.cmd file to match it. For
  rem       example, if you change the command below to use the option
  rem       /o:\\Server\Share\%USERNAME%.txt, change the command in
  rem       each winnt32.cmd batch script to the following:
  rem
  rem       @..\i386\winnt32 /unattended:\\Server\Share\%USERNAME%.txt /syspart:c:

  echo.
  echo LAB1 and LAB2 are in the example records.txt file
  echo.

  set /p COMPUTERNAME="Computer name: "

  rem This is a only a sample, which will not work properly in Windows PE.
  rem In Windows PE, ADO will only connect to SQL Server databases. Therefore,
  rem you must customize dbrecord.wsf to connect to your SQL Server database
  rem for these values. Nonetheless, you can run this batch script as is
  rem to see how dbrecord looks up values and siftemp replaces them in the
  rem template answer file.

  call scripts\dbrecord.cmd records.txt "COMPUTERNAME" %COMPUTERNAME%
  call scripts\siftemp.cmd /i:"%OEMDirPath%\winnt.sif" /o:"%OEMDirPath%\winnt.txt" FULLNAME="%UserName%" LOCALPASSWORD="%LocalPassword%" COMPUTERNAME="%ComputerName%" DOMAINADMIN="%DomainAdminName%" PASSWORD="%DomainAdminPass%" TIMEZONE="%TimeZone%"

  rem Format the hard disk, and then launch the Setup batch script.
  rem This code is disabled in this sample. Instead, open the answer file
  rem in Notepad to verify the changes.

  notepad.exe %OEMDirPath%\winnt.txt

  rem diskpart /s diskpart.txt
  rem format c: /q /fs:ntfs /v:"" /y

  rem cd /d %OEMDirPath%
  rem call winnt32.cmd
  exit

:help

  echo.
  echo This computer does NOT meet the minimum hardware requirements.
  echo.

:end