@echo off
@rem forall.cmd: run command for files and folders in tree

setlocal enableextensions

if '%1'=='' goto help
if '%2'=='' goto help
if '%3'=='' goto help

  echo.

  for /r %1 %%i in (%2) do (
    %~3
  )

  goto end

:help

  echo.
  echo Usage: forall.cmd PATH FILESPEC "CMD %%i"
  echo.
  echo PATH       path of the root folder to iterate
  echo FILESPEC   filespec (*.txt, *.doc) of files to iterate
  echo CMD        command to run with each folder as target
  echo.
  echo Enclose the entire command in quotes, and use %%i
  echo as a place holder for each file or folder. To operate
  echo on all folders within a path, use a period as FILESPEC.
  echo.
  goto end

:end