@echo off
@rem forcmd.cmd: run command for output of another command

setlocal enableextensions

if '%1'=='' goto help
if '%2'=='' goto help

  echo.

  for /f "delims=" %%i in ('%~1') do (
    %~2
  )

  goto end

:help

  echo.
  echo Usage: forcmd.cmd "CMD1" "CMD2 %%i"
  echo.
  echo CMD1   command to run that generates text output
  echo CMD2   command to run for each line ouput from CMD1
  echo.
  echo Enclose both commands in quotes, and use %%i as a
  echo place holder for each line in CMD2.
  echo.
  goto end

:end