@echo off
@rem fordirs.cmd: run command for folders in path

setlocal enableextensions

if '%1'=='' goto help
if '%2'=='' goto help

  echo.

  for /d %%i in (%1) do (
    %~2
  )

  goto end

:help

  echo.
  echo Usage: fordirs.cmd PATHSPEC "CMD %%i"
  echo.
  echo PATHSPEC   path specification of folders to iterate
  echo CMD        command to run with each folder as target
  echo.
  echo Enclose the entire command in quotes, and use %%i
  echo as a place holder for each folder.
  echo.
  goto end

:end