@echo off
@rem remsetup.cmd: copy, run program on listed computers

setlocal enableextensions

if '%1'=='' goto help1
if '%2'=='' goto help1
if not exist psexec.exe (
  for /f %%i in ("psexec.exe") do (
    if '%%~$PATH:i'=='' goto help2
  )
)

  echo.

  for /f "delims=" %%i in (%1) do (
    psexec.exe \\%%i -s -d -c %~2
  )

  goto end

:help1

  echo.
  echo Usage: remsetup.cmd LIST "FILE OPTONS %%i"
  echo.
  echo LIST     file name of remote computer list
  echo FILE     program file to copy and run remotely
  echo OPTIONS  options to pass to the remote program
  echo.
  echo Enclose the entire command in quotes, and use %%i
  echo as a place holder for the computer's name. All
  echo commands run in the SYSTEM account. This script
  echo requires psexec.exe in the local computer's path.
  echo The following copies setup.exe to the remote
  echo computers listed in the file list.txt, and runs it:
  echo.
  echo remsetup.cmd list.txt "setup.exe"
  echo.
  echo The following is an example list file:
  echo.
  echo COMPUTER1
  echo COMPUTER2
  echo COMPUTER3
  echo.
  echo Note: Don't include "\\" in the computer name.
  echo.
  goto end

:help2
  echo.
  echo psexec.exe was not found
  echo.
  goto end

:end