@echo off
@rem winpecd.cmd: make Windows PE ISO CD image

setlocal enableextensions

if '%1'=='' goto help1
if '%2'=='' goto help1
if not exist %1\I386 goto help2
if not exist %1\WIN51 goto help3
if not exist %1\WIN51IP goto help4
if not exist %1\WIN51IP.SP1 goto help5
if not exist oscdimg.exe (
  for /f %%i in ("oscdimg.exe") do (
    if '%%~$PATH:i'=='' goto help6
  )
)

  echo.

  oscdimg.exe -n -bETFSBOOT.COM -lWINDOWS_PE %1 %2
  goto end

:help1

  echo.
  echo Usage: winpecd.cmd WINPEIMG ISOFILE
  echo.
  echo WINPEIMG   folder containing customized Windows PE image
  echo ISOFILE    path and file name of ISO CD image to create
  echo.
  goto end

:help2

  echo.
  echo %1\I386 doesn't exist
  echo.
  goto end

:help3

  echo.
  echo %1\WIN51 doesn't exist
  echo.
  goto end

:help4

  echo.
  echo %1\WIN51IP doesn't exist
  echo.
  goto end

:help5

  echo.
  echo %1\WIN51IP.SP1 doesn't exist
  echo.
  goto end

:help6

  echo.
  echo oscdimg.exe was not found in the path
  echo.
  goto end

:end