@echo off
@rem drivers.cmd: make $OEM$ drivers folders

setlocal enableextensions

if not '%1'=='' cd /d %1

  echo.

  for /d %%i in (*) do (

    rem Find each subfolder that contains an $OEM$ folder

    if exist %%i\$OEM$ (

      rem Run incopy.wsf for each subfolder=inffile listed in drivers.txt
      rem Also run rename.wsf to create $$rename.txt for FAT32 targets

      for /f "usebackq tokens=1-2 delims==" %%j in ("%%i\drivers.txt") do (
        echo Copying %%~nxk to %%i\$OEM$\$$\DRIVERS\%%j
        .\scripts\infcopy.cmd "%%k" "%%i\$OEM$\$$\DRIVERS\%%j"
        .\scripts\rename.cmd "%%i\$OEM$"
      )
    )
  )

  echo.

  goto end

:end