@echo off
@rem setup32.cmd: install Windows XP

setlocal enableextensions

  rem Verify that the computer meets the requirements.

  call scripts\verify.cmd /F:2000 /M:250 /P:700
  if errorlevel 1 goto help

  rem Collect data from the technician and product an answer file.
  rem
  rem NOTE: You must change the path of /o:%sifdata.OEMDirPath%\winnt.txt
  rem       in the command below to a location where the user has rights
  rem       to create and write files. You must also change the path used
  rem       in each configuration's winnt32.cmd file to match it. For
  rem       example, if you change the command below to use the option
  rem       /o:\\Server\Share\%USERNAME%.txt, change the command in
  rem       each winnt32.cmd batch script to the following:
  rem
  rem       @..\i386\winnt32 /unattended:\\Server\Share\%USERNAME%.txt /syspart:c:

  call scripts\sifdata.cmd .
  call scripts\siftemp.cmd /i:"%sifdata.OEMDirPath%\winnt.sif" /o:"%sifdata.OEMDirPath%\winnt.txt" FULLNAME="%sifdata.UserName%" LOCALPASSWORD="%sifdata.LocalPassword%" COMPUTERNAME="%sifdata.ComputerName%" DOMAINADMIN="%sifdata.DomainAdminName%" PASSWORD="%sifdata.DomainAdminPass%"

  rem Format the hard disk, and then launch the Setup batch script.

  diskpart /s diskpart.txt
  format c: /q /fs:ntfs /v:"" /y

  cd /d %sifdata.OEMDirPath%
  call winnt32.cmd
  exit

:help

  echo.
  echo This computer does NOT meet the minimum hardware requirements.
  echo.

:end