@echo off
@rem forlist.cmd: run command for each line of a text file

setlocal enableextensions

if '%1'=='' goto help
if '%2'=='' goto help

  echo.

  for /f "delims=" %%i in (%1) do (
    %~2
  )

  goto end

:help

  echo.
  echo Usage: forlist.cmd LIST "CMD %%i"
  echo.
  echo LIST   file name of text file containing list
  echo CMD    command to run with each line as target
  echo.
  echo Enclose the entire command in quotes, and use %%i
  echo as a place holder for each line of text file.
  echo.
  goto end

:end